
From: Andrew Morton <akpm@osdl.org>

Fiddle with coding style a bit.

Cc: Hannes Reinecke <hare@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/floppy.c |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

diff -puN drivers/block/floppy.c~add-cmos-attribute-to-floppy-driver-tidy drivers/block/floppy.c
--- devel/drivers/block/floppy.c~add-cmos-attribute-to-floppy-driver-tidy	2005-07-16 13:51:03.000000000 -0700
+++ devel-akpm/drivers/block/floppy.c	2005-07-16 13:51:03.000000000 -0700
@@ -4193,17 +4193,16 @@ static int __init floppy_setup(char *str
 
 static int have_no_fdc = -ENODEV;
 
-static ssize_t floppy_cmos_show(struct device *dev, struct device_attribute *attr, char *buf)
+static ssize_t floppy_cmos_show(struct device *dev,
+				struct device_attribute *attr, char *buf)
 {
-	struct platform_device *p = container_of(dev,struct platform_device,dev);
-	int drive = p->id;
-	ssize_t retval;
-
-	retval = sprintf(buf,"%X\n", UDP->cmos);
+	struct platform_device *p;
+	int drive;
 
-	return retval;
+	p = container_of(dev, struct platform_device,dev);
+	drive = p->id;
+	return sprintf(buf, "%X\n", UDP->cmos);
 }
-
 DEVICE_ATTR(cmos,S_IRUGO,floppy_cmos_show,NULL);
 
 static void floppy_device_release(struct device *dev)
_
